# Uses of Class
org.eclipse.ecf.provider.remoteservice.generic.AddRegistrationRequest

Packages that use AddRegistrationRequest
Package
Description
org.eclipse.ecf.provider.remoteservice.generic

## Uses of AddRegistrationRequest in org.eclipse.ecf.provider.remoteservice.generic

Methods in org.eclipse.ecf.provider.remoteservice.generic that return AddRegistrationRequest
Modifier and Type
Method
Description
`protected AddRegistrationRequest`
RegistrySharedObject.`sendAddRegistrationRequest(ID receiver, AddRegistrationRequest request, Serializable credentials)`
Methods in org.eclipse.ecf.provider.remoteservice.generic with parameters of type AddRegistrationRequest
Modifier and Type
Method
Description
`protected void`
RegistrySharedObject.`checkRequestServiceAuthorization(ID remoteContainerID, AddRegistrationRequest request, Serializable credentials)`
`protected Serializable`
RegistrySharedObject.`getAddRegistrationRequestCredentials(AddRegistrationRequest request)`
`protected void`
RegistrySharedObject.`handleRequestService(ID remoteContainerID, AddRegistrationRequest request, Integer requestId, Serializable credentials)`
`protected AddRegistrationRequest`
RegistrySharedObject.`sendAddRegistrationRequest(ID receiver, AddRegistrationRequest request, Serializable credentials)`
Constructors in org.eclipse.ecf.provider.remoteservice.generic with parameters of type AddRegistrationRequest
Modifier
Constructor
Description
``
`AddRegistrationRequest(ID targetID, String service, String filter, AddRegistrationRequest parent)`